# theme.h File Reference

`#include <gcu/macros.h>`
`#include <gcu/object.h>`
`#include <glib/gtypes.h>`
`#include <pango/pango.h>`
`#include <gconf/gconf-client.h>`
`#include <libxml/tree.h>`
`#include <list>`
`#include <map>`
`#include <string>`
`#include <set>`

Go to the source code of this file.

## Namespaces

namespace | gcp

## Classes

class | gcp::Theme
| themes class. More...
class | gcp::ThemeManager
| themes engine class. More...

## Enumerations

enum | gcp::ThemeType { gcp::DEFAULT_THEME_TYPE, gcp::LOCAL_THEME_TYPE, gcp::GLOBAL_THEME_TYPE, gcp::FILE_THEME_TYPE }

## Variables

ThemeManager | gcp::TheThemeManager

## Detailed Description

Definition in file theme.h.